Package io.vertx.grpc.reflection.v1

## Interface ServerReflectionRequestOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `ServerReflectionRequest`, `ServerReflectionRequest.Builder`

      public interface ServerReflectionRequestOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAllExtensionNumbersOfType()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `com.google.protobuf.ByteString` | `getAllExtensionNumbersOfTypeBytes()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `String` | `getFileByFilename()` | Find a proto file by the file name.
    `com.google.protobuf.ByteString` | `getFileByFilenameBytes()` | Find a proto file by the file name.
    `ExtensionRequest` | `getFileContainingExtension()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ExtensionRequestOrBuilder` | `getFileContainingExtensionOrBuilder()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `String` | `getFileContainingSymbol()` | Find the proto file that declares the given fully-qualified symbol name.
    `com.google.protobuf.ByteString` | `getFileContainingSymbolBytes()` | Find the proto file that declares the given fully-qualified symbol name.
    `String` | `getHost()` | `string host = 1;`
    `com.google.protobuf.ByteString` | `getHostBytes()` | `string host = 1;`
    `String` | `getListServices()` | List the full names of registered services.
    `com.google.protobuf.ByteString` | `getListServicesBytes()` | List the full names of registered services.
    `ServerReflectionRequest.MessageRequestCase` | `getMessageRequestCase()` |
    `boolean` | `hasAllExtensionNumbersOfType()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `boolean` | `hasFileByFilename()` | Find a proto file by the file name.
    `boolean` | `hasFileContainingExtension()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `boolean` | `hasFileContainingSymbol()` | Find the proto file that declares the given fully-qualified symbol name.
    `boolean` | `hasListServices()` | List the full names of registered services.

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getHost

          String getHost()

      `string host = 1;`
      Returns:
        The host.

    - #### getHostBytes

          com.google.protobuf.ByteString getHostBytes()

      `string host = 1;`
      Returns:
        The bytes for host.

    - #### hasFileByFilename

          boolean hasFileByFilename()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Returns:
        Whether the fileByFilename field is set.

    - #### getFileByFilename

          String getFileByFilename()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Returns:
        The fileByFilename.

    - #### getFileByFilenameBytes

          com.google.protobuf.ByteString getFileByFilenameBytes()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Returns:
        The bytes for fileByFilename.

    - #### hasFileContainingSymbol

          boolean hasFileContainingSymbol()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Returns:
        Whether the fileContainingSymbol field is set.

    - #### getFileContainingSymbol

          String getFileContainingSymbol()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Returns:
        The fileContainingSymbol.

    - #### getFileContainingSymbolBytes

          com.google.protobuf.ByteString getFileContainingSymbolBytes()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Returns:
        The bytes for fileContainingSymbol.

    - #### hasFileContainingExtension

          boolean hasFileContainingExtension()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Returns:
        Whether the fileContainingExtension field is set.

    - #### getFileContainingExtension

          ExtensionRequest getFileContainingExtension()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Returns:
        The fileContainingExtension.

    - #### getFileContainingExtensionOrBuilder

          ExtensionRequestOrBuilder getFileContainingExtensionOrBuilder()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`

    - #### hasAllExtensionNumbersOfType

          boolean hasAllExtensionNumbersOfType()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Returns:
        Whether the allExtensionNumbersOfType field is set.

    - #### getAllExtensionNumbersOfType

          String getAllExtensionNumbersOfType()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Returns:
        The allExtensionNumbersOfType.

    - #### getAllExtensionNumbersOfTypeBytes

          com.google.protobuf.ByteString getAllExtensionNumbersOfTypeBytes()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Returns:
        The bytes for allExtensionNumbersOfType.

    - #### hasListServices

          boolean hasListServices()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Returns:
        Whether the listServices field is set.

    - #### getListServices

          String getListServices()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Returns:
        The listServices.

    - #### getListServicesBytes

          com.google.protobuf.ByteString getListServicesBytes()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Returns:
        The bytes for listServices.

    - #### getMessageRequestCase

          ServerReflectionRequest.MessageRequestCase getMessageRequestCase()